fabio
=====

.. note::

   **Why I started using fabio?** (I've used HAProxy)

   Because when using canary (blue-green) deployment I needed to
   dynamically update HAProxy config. And I had complex Consul-template
   file that was rendered each time services changed in Consul.

   Actually I could distinguish "canary" services from "production"
   services using canary_tags. But at that point it became complex and I
   never liked using Consul-template. It's a thing that must be replaced
   with native service discovery support which HAProxy does not have.
